## cht.sh 0.0~git20220418.571377f

=== requirements.txt ===
wheel
gevent
flask
requests
pygments
dateutils
fuzzywuzzy
redis
colored<1.4.3
langdetect
cffi
polyglot
PyICU
pycld2
colorama
pyyaml
python-Levenshtein
pytest

=== debian/changelog ===
cht.sh (0.0~git20220418.571377f-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thiago Marques Siqueira <thiagoms.15@gmail.com>  Sat, 16 Dec 2023 11:29:06 +0000

cht.sh (0.0~git20220418.571377f-1) experimental; urgency=medium

  * Initial release. (Closes: #1053005)

 -- Thiago Marques Siqueira <thiagoms.15@gmail.com>  Wed, 20 Sep 2023 21:34:54 +0100

=== debian/control ===
Source: cht.sh
Section: misc
Priority: optional
Maintainer: Thiago Marques Siqueira <thiagoms.15@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://cheat.sh
Vcs-Browser: https://salsa.debian.org/debian/cht.sh
Vcs-Git: https://salsa.debian.org/debian/cht.sh.git

Package: cht.sh
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, rlwrap, xsel
Description: Cht is the only cheat sheet you need
 The cheat.sh service has its own command line client (cht.sh) that has several
 useful features compared to querying the service directly with curl:
   - Special shell mode with a persistent queries context and readline support.
   - Queries history.
   - Clipboard integration.
   - Tab completion support for shells (bash, fish, zsh).
   - Stealth mode.
 .
 The cheat.sh service:
   - Covers 56 programming languages, several DBMSes, and more than 1000 most
     important UNIX/Linux commands.
   - Provides access to the best community driven cheat sheets repositories
     in the world, on par with StackOverflow.

=== debian/rules ===
#!/usr/bin/make -f

PKG_DIR=debian/cht.sh/usr

%:
	dh $@

override_dh_install:
	dh_installman debian/manpage/cht.sh.1 --language=C
	install -Dm755 "share/cht.sh.txt" "$(PKG_DIR)/bin/cht.sh"
	install -Dm644 "share/bash_completion.txt" "$(PKG_DIR)/share/bash-completion/completions/cht.sh"
	install -Dm644 "share/fish.txt" "$(PKG_DIR)/share/fish/vendor_completions.d/cht.sh.fish"
	install -Dm644 "share/zsh.txt" "$(PKG_DIR)/share/zsh/site-functions/_cht.sh"

=== debian/tests/control ===
Test-Command: cht.sh --help | grep -i "Usage:"
Restrictions: superficial

Test-Command: cht.sh ls | grep -i "cheat:ls" || exit 77
Restrictions: allow-stderr, needs-internet, skippable

Test-Command: cht.sh go reverse a list || exit 77
Restrictions: allow-stderr, needs-internet, skippable

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/chubin/cheat.sh \
HEAD debian uupdate
